variable "duo_client_id" {
  description = "Duo client ID"
  type        = string
  sensitive   = true
}

variable "duo_client_secret" {
  description = "Duo client secret"
  type        = string
  sensitive   = true
}

variable "duo_api_host" {
  description = "Duo API host"
  type        = string
}

variable "redirect_uri" {
  description = "Redirect URI for Duo authentication"
  type        = string
}

variable "access_token" {
  description = "Access token for Duo API"
  type        = string
  sensitive   = true
}

variable "socket_path" {
  description = "Socket path for Duo API"
  type        = string
}

variable "user_id" {
  description = "User for running the pod"
  type        = number
  default     = 1000
}

variable "group_id" {
  description = "Group for running the pod"
  type        = number
  default     = 1000
}

variable "issuer" {
  description = "The issuer for the certificate"
  type        = string
  default     = "internal-ca"
}
variable "tls_enabled" {
  description = "Enable TLS for the SFTPGo server"
  type        = bool
  default     = true
}
